Summary: Checksum and verify archives of directory trees.
Name: babarchive
Version: 0.8
Release: 1%{?dist}
License: GPLv2
Group: Development/Tools
URL: https://ant.isi.edu/software/babarchive/
Source0: https://ant.isi.edu/software/babarchive/babarchive-%{version}.tar.gz
BuildArch: noarch
# BuildRequires: pandoc
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: bash
Requires: mlocate
# tac, date, sha1sum, tr
Requires: coreutils
# xargs, find
Requires: findutils
# sed, needed in babarchive_update_file
Requires: sed
# cmp, needed in babarchive_update_file
Requires: diffutils
# shasum
Requires: perl-Digest-SHA


%description
Babarchive is a set of tools to manage checksumming directory trees ("archives")
for long-term storage.
Run babarchive_prep_one on the root of each directory tree to build its checksum
in a .shasum.fsdb in the root (as well as .shasum files in each subdirectory).
We assume locate will these .shasum.fsdb files.
Run babarchive_check_all repeatedly to check several archives (all archives
when run enough times).

%prep
%setup -q -n babarchive-%{version}

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT
# fix up g+s getting set on directories, and executables being 0555
# (*I* think those are ok, but not rpmlint.)
find $RPM_BUILD_ROOT -type d -exec chmod g-s {} ';'
# find $RPM_BUILD_ROOT -executable -exec chmod 0755 {} ';'
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc README COPYING
%{_bindir}/*

# % # {_mandir}/man1/*.1*


%changelog
* Thu Apr 30 2015 John Heidemann <johnh@isi.edu> 0.8-1
- See https://ant.isi.edu/software/babarchive/
